//
//  BEApplicationHelper.h
//  BEToolkit
//
//  Created by Philipp on 10/31/10.
//  Copyright 2011 Incredible Bee Ltd. All rights reserved.
//

/*
 * How to use
 * ==========
 *
 * 1. In your application delegate, either in the initialiser or the
 *    `awakeFromNib` method, set up the application helper:
 *
 *     [BEApplicationHelper sharedApplicationHelper];
 *
 * *Important*: the reason this call needs to occur during the initialisation
 * process is that it registers itself for notifications when the app finishes
 * launching.
 *
 * 2. In the `applicationDidFinishLaunching:` method call
 *
 *     [[BEApplicationHelper sharedApplicationHelper] startup];
 */

#import <Cocoa/Cocoa.h>

@interface BEApplicationHelper : NSObject {
}

#pragma mark Getting the shared Application Helper

+ (BEApplicationHelper *)sharedApplicationHelper;   // singleton

#pragma mark Setting up the Application Helper

- (void)startup;

#pragma mark Setting up menus

- (NSUInteger)insertAuxiliaryMenuItemsToMenu:(NSMenu *)menu atIndex:(NSUInteger)index;

@end
