//
//  BEFileWrapper.h
//  BEToolkit
//
//  Created by Philipp on 23/10/15.
//  Copyright 2015 Incredible Bee Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface BEFileWrapper : NSObject {
  NSURL *url;
}

#pragma mark Initialization

- (instancetype)initWithPath:(NSString *)filepath;
+ (instancetype)fileWrapperWithPath:(NSString *)path;

#pragma mark Getting information about files

- (NSString *)fileSize;
- (NSDate *)lastModified;
- (NSDate *)fileCreated;
- (NSNumber *)fileSizeBytes;
@property (readonly) NSString *dirName;
- (NSString *)filePath;   //!< full path
- (void)setFilePath:(NSString *)filepath;
@property (readonly) NSURL *URL;
- (BOOL)isHidden;
- (BOOL)isFolder;
- (BOOL)isPackage;
- (BOOL)isSymbolicLink;
+ (BOOL)isDirectoryAtPath:(NSString *)aPath;   //! whether aPath is a directory
+ (BOOL)isPackage:(NSString *)path;  //! whether path is a package (application bundle, etc.)

@end
